#pragma once
#include "Actor.h"

class ActorTLO
{
public:
    ActorTLO()
    {
    }

    optional<Actor> GetActorById(unsigned long id) const;
    optional<Actor> GetActorByName(const std::string &name, const bool exactMatch = false) const;
    optional<Actor> GetActorByQuery(const std::string &query) const;

private:
};